Resolution: Duplicate

Description

at the moment the Repository statistics graphs show different stats for two repository-users that were mapped onto one
Redmine-User. It is probably more useful to only show one entry in that case.

Related issues:

Related to Redmine - Defect #13487: Honor committer => user mapping in reposi... Closed

Has duplicate Redmine - Feature #3826: It would be good if Redmine showed rep... Closed 2009-09-05
Has duplicate Redmine - Feature #9505: Committers name (if mapped to redmine ... Closed 2011-11-01
Has duplicate Redmine - Defect #15994: Repository view does not obfuscate aut... Closed

History

#1 - 2009-02-05 08:50 - Damien Couderc

+1

The stats are pretty useless without that ...

#2 - 2009-02-27 11:13 - Thorbjorn Hermansen

++
| found this too; plase fix? And thank you for all the work done on this project :-)

#3 - 2009-03-13 14:16 - Derek Montgomery

Just saw the mapping options and my first check was to see how it affected graphs... so, +1 here too.
Thanks JP!!

#4 - 2009-03-14 09:51 - Marlin Forbes

And another +1 here too. | have 4 entries for myself from a repository I'm using because of accessing it from different hosts. The display only shows
my name, not email address. So stats show me as 4 indistinguishable Marlin Forbes's. :)

#5 - 2009-04-07 17:17 - Derek Montgomery

Please?

#6 - 2009-04-09 18:20 - Anonymous

+1

#7 - 2009-11-24 11:47 - Guillaume Ayoub

It seems to be a duplicate of #2065. A patch has been submitted, tests welcome.

#8 - 2010-03-14 01:25 - Joao Machado
- File merge_users_stats.diff added

- Status changed from New to Resolved

This ticket is not a duplicate of #2065, but using your patch from that ticket (#2065) and altering some code, i was able to
correct this ticket's issue ;)

tested in r3517 .

Marked as resolved (is it ok? ) ;)
#9 - 2010-06-21 14:23 - Greg Mefford
+1 (I'll try to take a look at this patch tonight if | have time)

#10 - 2010-10-11 15:03 - Damien Couderc

Hi all,
I'm using 1.0.2 and I'm unable to see anything fixed here.
Excuse me if I'm wrong but maybe the issue shouldn't be marked resolved until the fix is really in the SCM.

#11 - 2010-10-12 00:31 - Mischa The Evil

- Status changed from Resolved to New

Damien Couderc wrote:
I'm using 1.0.2 and I'm unable to see anything fixed here.

Excuse me if I'm wrong but maybe the issue shouldn't be marked resolved until the fix is really in the SCM.

You are right. Thanks for mentioning it!

#12 - 2011-01-05 08:50 - Damien Couderc

The diff provided by Jodo Machado seems to be trivial. Any reason why it did not go into trunk ?

#13 - 2011-01-05 13:09 - Daniel Macedo

Damien Couderc wrote:

The diff provided by Jodo Machado seems to be trivial. Any reason why it did not go into trunk ?

+1

#14 - 2011-01-05 16:04 - Ludovic Gasc

+1

#15 - 2011-11-06 16:03 - Dan Clarke

+1

#16 - 2013-01-28 10:54 - Federico Bonelli

28 jan 2013 here, did it get patched? I'm still experiencing this same behavior

#17 - 2013-03-15 16:44 - Anonymous

| created issue #13487 with an alternate patch for this. | would appreciate if either the patch here or mine could be merged.

#18 - 2013-03-18 13:37 - Dipan Mehta

+1. Very important to have this sorted.

#19 - 2014-02-24 05:43 - Toshi MARUYAMA

- Has duplicate Defect #15994: Repository view does not obfuscate author emails added

#20 - 2014-08-26 19:42 - Jean-Baptiste Barth
- Status changed from New to Closed

- Resolution set to Duplicate

| close this one as the discussion continues in #13487.

Files
merge_users_stats.diff 1.82 KB 2010-03-14 Jodo Machado
